package com.blamejared.compat.botania.lexicon.commands;

import com.blamejared.compat.botania.BotaniaHelper;
import crafttweaker.CraftTweakerAPI;
import crafttweaker.mc1120.commands.CraftTweakerCommand;
import crafttweaker.mc1120.commands.SpecialMessagesChat;
import java.util.Iterator;
import net.minecraft.command.ICommandSender;
import net.minecraft.server.MinecraftServer;
import vazkii.botania.api.BotaniaAPI;
import vazkii.botania.api.lexicon.LexiconCategory;
import vazkii.botania.api.lexicon.LexiconEntry;

public class LexiconEntryLogger extends CraftTweakerCommand {
   public LexiconEntryLogger() {
      super("botlexentries");
   }

   public void executeCommand(MinecraftServer server, ICommandSender sender, String[] arguments) {
      LexiconCategory category = null;
      if (arguments.length > 0) {
         category = BotaniaHelper.findCatagory(arguments[0]);
         if (category == null) {
            CraftTweakerAPI.getLogger().logError("Category not found (" + arguments[0] + ")");
            return;
         }
      }

      CraftTweakerAPI.logCommand("Botania Lexicon Entries");
      Iterator var5 = BotaniaAPI.getAllEntries().iterator();

      while(true) {
         LexiconEntry entry;
         do {
            if (!var5.hasNext()) {
               if (sender != null) {
                  sender.func_145747_a(SpecialMessagesChat.getLinkToCraftTweakerLog("List generated;", sender));
               }

               return;
            }

            entry = (LexiconEntry)var5.next();
         } while(category != null && entry.category != category);

         CraftTweakerAPI.logCommand(entry.getUnlocalizedName());
      }
   }

   protected void init() {
   }
}
